﻿namespace IRaCIS.Core.Domain.Share
{
    public static class StaticData
    {
        /// <summary>
        /// 用户默认密码
        /// </summary>
        public static readonly string DefaultPassword = "123456";

        public static string StudyMaxCode = "StudyMaxCode";

        public static string Question = "Question";

        #region 字典表项固定值
        public static readonly string Title = "Title";
        public static readonly string ReadingType = "ReadingType";
        public static readonly string Subspeciality = "Subspeciality";
        public static readonly string Modality = "Modality";
        public static readonly string Criterion = "Criterion";
        public static readonly string ReviewType = "ReviewType";
        public static readonly string ReadingStandard = "ReadingStandard";



        public static readonly string TrialDataFolder = "TrialData";
        public static readonly string SystemDataFolder = "SystemData";


        public static readonly string SignDocumentFolder = "SignDocument";

        public static readonly string DataTemplate = "DataTemplate";

        public static readonly string NoticeAttachment = "NoticeAttachment";

        public static readonly string UploadEDCData = "UploadEDCData";



        public static readonly string IRaCISDataFolder = "IRaCISData";



        public static readonly string DicomFolder = "Dicom";
        public static readonly string NoneDicomFolder = "NoneDicom";
        public static readonly string UploadFileFolder = "UploadFile"; 
        public static readonly string TreatmenthistoryFolder = "Treatmenthistory";


        public static readonly string CommonFileFolder = "CommonFileFolder";
        public static readonly string SystemNoticeFolder = "SystemNoticeFolder";




        #endregion

        #region Reviewer Degree
        public const string Bachelor = "Bachelor";
        public const string Master = "Master";
        public const string Doctorate = "Doctorate";
        #endregion



        #region TrialStatusStr

        public const string TrialInitializing = "Initializing";

        public const string TrialOngoing = "Ongoing";

        public const string TrialCompleted = "Completed";

        public const string TrialStopped = "Stopped";

        #endregion



        #region 匿名化

        public const string Anonymize_FixedField = "Anonymize_FixedField";

        public const string Anonymize_IRCInfoField = "Anonymize_IRCInfoField";

        public const string Anonymize_AddFixedFiled = "Anonymize_AddFixedFiled";

        public const string Anonymize_AddIRCInfoFiled = "Anonymize_AddIRCInfoFiled";


        #endregion



        #region 项目人员导出  

        public const string TrialSiteUserList_Export = "TrialSiteUserList_Export";

        public const string TrialSiteUserSummary_Export = "TrialSiteUserSummary_Export";

        public const string TrialUserList_Export = "TrialUserList_Export";
        

        #endregion
    }


}